跳转到主要内容

Endpoint

GET /v1/videos/{id}
分组: openai视频格式 / sora

Responses

  • 200: 成功

OpenAPI specification

openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/videos/{id}:
    get:
      summary: 查询视频详情
      deprecated: false
      description: ''
      tags:
        - openai视频格式/sora
      parameters:
        - name: id
          in: path
          description: 任务id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  completed_at:
                    type: integer
                  created_at:
                    type: integer
                  id:
                    type: string
                  model:
                    type: string
                  object:
                    type: string
                  progress:
                    type: integer
                  seconds:
                    type: string
                  size:
                    type: string
                  status:
                    type: string
                    description: in_progress、completed
                  video_url:
                    type: string
                required:
                  - completed_at
                  - created_at
                  - id
                  - model
                  - object
                  - progress
                  - seconds
                  - size
                  - status
                  - video_url
                x-apifox-orders:
                  - completed_at
                  - created_at
                  - id
                  - model
                  - object
                  - progress
                  - seconds
                  - size
                  - status
                  - video_url
              example:
                created_at: 1764649117
                id: video_fe6f922f-da34-48a4-9c35-e71df5950cbf
                model: sora-2
                object: video
                progress: 45
                seconds: '10'
                size: 720x1280
                status: in_progress
          headers: {}
          x-apifox-name: 成功
      security: []
      x-apifox-folder: openai视频格式/sora
      x-apifox-status: released
      x-run-in-apifox: https://app.apifox.com/web/project/5443699/apis/api-384880097-run
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []